Package net.rubygrapefruit.platform

# Class MissingRegistryEntryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
net.rubygrapefruit.platform.NativeException
net.rubygrapefruit.platform.MissingRegistryEntryException

All Implemented Interfaces:
  `Serializable`

public class MissingRegistryEntryException extends NativeException
Thrown when attempting to query an unknown registry key or value.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingRegistryEntryException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingRegistryEntryException

public MissingRegistryEntryException(String message)